Cert_Tools command not found error while running create-certificate-template [RESOLVED]

I am trying to generate certificates using cert tools. while running below command I am facing issue. Please help me on this

create-certificate-template -c conf.ini

Error
govind@govind-VirtualBox:~/cert-tools$ create-certificate-template -c conf.ini
create-certificate-template: command not found
govind@govind-VirtualBox:~/cert-tools$

Did you run through the install instructions? create-certificate-template should be a valid command once you do. I find that creating a virtual env helps, not sure if you’re using one here.

Thanks aronnimg. NOw i am no more getting the issue. but different error now related to python. Is this anything to do with python version?

(venv) govind@govind-VirtualBox:~/blockchain/cert-tools$ create-certificate-template -c conf.ini
Traceback (most recent call last):
File “/home/govind/blockchain/venv/bin/create-certificate-template”, line 6, in
from cert_tools.create_v2_certificate_template import main
File “/home/govind/blockchain/venv/local/lib/python2.7/site-packages/cert_tools/create_v2_certificate_template.py”, line 12, in
from cert_tools import helpers
File “/home/govind/blockchain/venv/local/lib/python2.7/site-packages/cert_tools/helpers.py”, line 5, in
from datetime import datetime, timezone
ImportError: cannot import name timezone

Please ignore this… Issue resolved and i am able to generate certificates

How did you solve it? I keep getting this:

Traceback (most recent call last):
File “c:\python\lib\site-packages\pkg_resources_init_.py”, line 583, in build_master
ws.require(requires)
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 900, in require
needed = self.resolve(parse_requirements(requirements))
File “c:\python\lib\site-packages\pkg_resources_init_.py”, line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (c:\python\lib\site-packages), Requirement.parse(‘jsonschema<3.0.0,>=2.5.1’), {‘connexion’})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\python\Scripts\create-certificate-template-script.py”, line 6, in
from pkg_resources import load_entry_point
File “c:\python\lib\site-packages\pkg_resources_init_.py”, line 3191, in
@call_aside
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 3175, in call_aside
f(*args, **kwargs)
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 3204, in _initialize_master_working_set
working_set = WorkingSet.build_master()
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 585, in _build_master
return cls.build_from_requirements(requires)
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 598, in build_from_requirements
dists = ws.resolve(reqs, Environment())
File "c:\python\lib\site-packages\pkg_resources_init
.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (c:\python\lib\site-packages), Requirement.parse(‘jsonschema<3.0.0,>=2.5.1’), {‘connexion’})